ConditionBase (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.condition.ConditionBase class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.condition
Class ConditionBase

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.taskdefs.condition.ConditionBase

Direct Known Subclasses:
  And, ConditionTask, Not, Or, WaitFor

public abstract class ConditionBase
extends ProjectComponent

Baseclass for the <condition> task as well as several conditions - ensures that the types of conditions inside the task and the "container" conditions are in sync.

Since:
  Ant 1.4
Version:
  $Revision: 1.14.2.1 $
Author:
  Stefan Bodewig

Field Summary

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConditionBase()`

Method Summary
`void` | `addAnd(And a)` Add an <and> condition "container".
`void` | `addAvailable(Available a)` Add an <available> condition.
`void` | `addChecksum(Checksum c)` Add an <checksum> condition.
`void` | `addContains(Contains test)` Add a <contains> condition.
`void` | `addEquals(Equals e)` Add an <equals> condition.
`void` | `addFilesMatch(FilesMatch test)` Add a <filesmatch> condition.
`void` | `addHttp(Http h)` Add an <http> condition.
`void` | `addIsFalse(IsFalse test)` Add a <isfalse> condition.
`void` | `addIsSet(IsSet i)` Add an <isset> condition.
`void` | `addIsTrue(IsTrue test)` Add a <istrue> condition.
`void` | `addNot(Not n)` Add an <not> condition "container".
`void` | `addOr(Or o)` Add an <or> condition "container".
`void` | `addOs(Os o)` Add an <os> condition.
`void` | `addSocket(Socket s)` Add a <socket> condition.
`void` | `addUptodate(UpToDate u)` Add an <uptodate> condition.
`protected int` | `countConditions()` Count the conditions.
`protected java.util.Enumeration` | `getConditions()` Iterate through all conditions.

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionBase

    public ConditionBase()

Method Detail

### countConditions

    protected int countConditions()

  Count the conditions.

  Since:
    1.1

### getConditions

    protected final java.util.Enumeration getConditions()

  Iterate through all conditions.

  Since:
    1.1

### addAvailable

    public void addAvailable(Available a)

  Add an <available> condition.

  Since:
    1.1

### addChecksum

    public void addChecksum(Checksum c)

  Add an <checksum> condition.

  Since:
    1.4, Ant 1.5

### addUptodate

    public void addUptodate(UpToDate u)

  Add an <uptodate> condition.

  Since:
    1.1

### addNot

    public void addNot(Not n)

  Add an <not> condition "container".

  Since:
    1.1

### addAnd

    public void addAnd(And a)

  Add an <and> condition "container".

  Since:
    1.1

### addOr

    public void addOr(Or o)

  Add an <or> condition "container".

  Since:
    1.1

### addEquals

    public void addEquals(Equals e)

  Add an <equals> condition.

  Since:
    1.1

### addOs

    public void addOs(Os o)

  Add an <os> condition.

  Since:
    1.1

### addIsSet

    public void addIsSet(IsSet i)

  Add an <isset> condition.

  Since:
    Ant 1.5

### addHttp

    public void addHttp(Http h)

  Add an <http> condition.

  Since:
    Ant 1.5

### addSocket

    public void addSocket(Socket s)

  Add a <socket> condition.

  Since:
    Ant 1.5

### addFilesMatch

    public void addFilesMatch(FilesMatch test)

  Add a <filesmatch> condition.

  Since:
    Ant 1.5

### addContains

    public void addContains(Contains test)

  Add a <contains> condition.

  Since:
    Ant 1.5

### addIsTrue

    public void addIsTrue(IsTrue test)

  Add a <istrue> condition.

  Since:
    Ant 1.5

### addIsFalse

    public void addIsFalse(IsFalse test)

  Add a <isfalse> condition.

  Since:
    Ant 1.5

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.